<?php session_start();
	require "conexao.php";
	require "recebernopedidos.php";
	require 'diasrecebidos.php';

	$data =  date('Y/m/d');
	$chave = 0;
	$chave = filter_var( $_POST['chave'], FILTER_SANITIZE_STRING);
	$numero = filter_var( $_POST['numero'], FILTER_SANITIZE_STRING);
	@$fornecedor = filter_var( $_POST['fornecedor'], FILTER_SANITIZE_STRING);
	$boletos = filter_var( $_POST['boletos'], FILTER_SANITIZE_STRING);
	$observacao = filter_var( $_POST['observacao'], FILTER_SANITIZE_STRING);
	@$urgente = filter_var( $_POST['urgente'], FILTER_SANITIZE_STRING);
	@$idpedido = filter_var( $_POST['idpedido'], FILTER_SANITIZE_STRING);
	$loja = $_SESSION['loja'];
	$cfop = filter_var( $_POST['cfop'], FILTER_SANITIZE_STRING);
	@$avulso = filter_var( $_POST['avulso'], FILTER_SANITIZE_STRING);
	@$naoentrar = filter_var( $_POST['naoentrar'], FILTER_SANITIZE_STRING);



	//pedidos normais
	$status = "Pendente";
	//se escolheu urgente
	if($urgente) {

		$status = "Urgente";
	}

	if ($loja == 'loja03' || $loja == 'matriz'){

		$status = "Finalizada";
	}

//para saber se uma chave ja foi cadastrada
$verificar = true;
//se a chave for diferente de zero verificar se ja existe senao proseguir porque foi um recebimento avulso e vai constar outra chave com valor zero
if ($chave <> 0){ 
$listagem = mysqli_query($conexao, "SELECT * from notas where chave = '$chave';");
while($linha = mysqli_fetch_array($listagem)) {
		
		$_SESSION['msg'] = "<div class='alert alert-danger'> JÁ RECEBIDA :=]</div>";
		header("Location: ../pedidos.php");

		$verificar = False;
  }
}

if($verificar){

if($idpedido){
	
		$listagem = mysqli_query($conexao, "SELECT * from pedidos WHERE id = '$idpedido';");

		while($linha = mysqli_fetch_array($listagem)) {

			$data2 = $linha['datapedido'];
			$dias = calculoDiaspendentes($data2);
			diaspedido($conexao, $idpedido,$dias);
			echo $idpedido;
			$receber = receberPedido($conexao , $idpedido);
		}

	$query = "INSERT INTO notas (data_cadastro, chave,numero,fornecedor,boletos,observacao,status,loja,cfop,idpedidos,naoentrar)
	 VALUES ('$data','$chave', '$numero', '$fornecedor','$boletos','$observacao','$status', '$loja','$cfop', '$idpedido','$naoentrar');" ;
			
	if (mysqli_query($conexao, $query)) {

		$_SESSION['msg'] = "<div class='alert alert-success'>Recebido com sucesso </div>";
		
		if($avulso != 1){
		header("Location: ../pedidoFinalizar.php?idpedido=".$idpedido);
		}else{
		header("Location: ../pedidos.php");
		}
	}

}else{
	
	$query = "INSERT INTO notas (data_cadastro, chave,numero,fornecedor,boletos,observacao,status,loja,cfop,avulso,naoentrar)
	 VALUES ('$data','$chave', '$numero', '$fornecedor','$boletos','$observacao','$status', '$loja','$cfop','$avulso','$naoentrar');" ;

	if (mysqli_query($conexao, $query)) {

		$_SESSION['msg'] = "<div class='alert alert-success'>Cadastrada com sucesso </div>";
	
		if($avulso != 1){
		header("Location: ../pedidoFinalizar.php?idpedido=".$idpedido);
		}else{
		header("Location: ../pedidos.php");
		}
	
	}
  }
}